Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.services
Class Authentication

    java.lang.Object
      |
      +--weblogic.security.services.Authentication

public final class Authentication
extends java.lang.Object

Server side Authentication service.

Author:
  Copyright (c) 2002 by BEA. All Rights Reserved.

Constructor Summary
`Authentication()`

Method Summary
`static javax.security.auth.Subject` | `assertIdentity(java.lang.String tokenType, java.lang.Object token)` Use the supplied client token to establish client identity
`static javax.security.auth.Subject` | `assertIdentity(java.lang.String realmName, java.lang.String tokenType, java.lang.Object token)`
`static javax.security.auth.Subject` | `login(javax.security.auth.callback.CallbackHandler handler)` Authenticate the user and return credentials using the default realm.
`static javax.security.auth.Subject` | `login(java.lang.String realmName, javax.security.auth.callback.CallbackHandler handler)` Authenticate the user and return credentials for a specific realm.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Authentication

    public Authentication()

Method Detail

### login

    public static javax.security.auth.Subject login(javax.security.auth.callback.CallbackHandler handler)
                                             throws javax.security.auth.login.LoginException

  Authenticate the user and return credentials using the default realm.

  Parameters:
    `handler` - JAAS CallbackHandler used for login
  Returns:
    JAAS Subject from login
  Throws:
    javax.security.auth.login.LoginException - when login fails

### login

    public static javax.security.auth.Subject login(java.lang.String realmName,
                                                    javax.security.auth.callback.CallbackHandler handler)
                                             throws javax.security.auth.login.LoginException

  Authenticate the user and return credentials for a specific realm.

  Parameters:
    `realmName` - Name of the security realm for login
    `handler` - JAAS CallbackHandler used for login
  Returns:
    JAAS Subject from login
  Throws:
    javax.security.auth.login.LoginException - when login fails
    InvalidParameterException - when realm does not exist

### assertIdentity

    public static javax.security.auth.Subject assertIdentity(java.lang.String tokenType,
                                                             java.lang.Object token)
                                                      throws javax.security.auth.login.LoginException

  Use the supplied client token to establish client identity

  Parameters:
    `tokenType` - Name of the token type
    `token` - The token passed as a Java Object
  Returns:
    JAAS Subject containing authentication provider generated Principals
  Throws:
    java.lang.SecurityException - when permission is denied or service unavailable
    InvalidParameterException - when realm does not exist

### assertIdentity

    public static javax.security.auth.Subject assertIdentity(java.lang.String realmName,
                                                             java.lang.String tokenType,
                                                             java.lang.Object token)
                                                      throws javax.security.auth.login.LoginException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference